import { resolve } from "path"
import dts from "vite-plugin-dts";
import { defineConfig } from "vite"
import browserslistToEsbuild from "browserslist-to-esbuild";

export default defineConfig({
    build: {
        lib: {
            entry: resolve(__dirname, "src/index.ts"),
            name: "MyLib",
            fileName: "my-lib",
        },
        target: browserslistToEsbuild()
    },
    plugins: [
        dts({
            outputDir: "./dist/@types"
        }),
    ],
})
